package sha256

import (
	// Standard
	"crypto/sha256"
)

// Hash
func (Algorithm) Hash(data []byte) ([]byte, error) {
	// Hasher
	hasher := sha256.New()
	// Write To Hasher
	_, err := hasher.Write(data)
	// Handle Error
	if err != nil {
		return []byte(""), err
	}
	// Return Hash
	return hasher.Sum(nil), err
}
