# GCL

GCL is a Go library designed to offer a robust collection of cryptographic algorithms and utilities for seamless integration into your applications. Our commitment to security means continuous updates with the latest, most secure algorithms, all while preserving the existing API and ensuring backward compatibility.

## Table of Contents

- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [License](#license)

## Features

GCL offers support for a diverse range of cryptographic algorithms, ensuring that your cryptographic requirements are comprehensively addressed. Our library includes:

- [X] BLAKE2
- [X] SHA256

## Installation

Coming soon.

## Usage

Coming soon.

## License

GCL is licensed under the MIT License. See the LICENSE file for more details.